unit: Final Project
unit_id: project_requirements
version: 2018
tasks:
- name: Final Project
  description: |
    Congratulations, you have reached the point of working on your Final Project. This is your opportunity to demonstrate synthesis of skills you developed in the previous weeks. Your goal is to keep it as affordable as possible. Design and fabricate your own parts instead of buying off-the-shelf components. Each student, whether working individually or in a group, must prove mastery of the skills gained during the program.
  outcomes:
  - create your own integrated design
  - demonstrate 2D & 3D modelling capabilities applied to your own designs
  - select and apply appropriate additive and subtractive techniques
  - demonstrate competence in design, fabrication and programming of your own fabbed microcontroller PCB, including an input & output device
  checklist:
  - made your slide 1920 x 1080 pixels with your name, project name, Fab Lab name, a photo/render/sketch of your project, a brief description of what your project is/does
  - made a ~1 minute (10MB/1080p/720p) video of you explaining your project
  - made a separate Final Project page that briefly summarises your project and
  - included the BOM (Bill of Materials) for your project
  - linked from this page to any weeks that you worked on your final project
  - linked to your presentation.png and presentation.mp4
  - included all of your original design files in the archive (2D & 3D, board files & code) No external hosting of final project files - discuss file sizes with your instructor
  - included the licence you chose
  - acknowledged work done by others
faq: |
  ### Can I just design a shield for a commercial board in my final project?
  > Answer:
  1. No. Please check the learning outcomes above. See [Commercial Boards Policy](http://fabacademy.org/2018/docs/FabAcademy-Assessment/commercial_board_policy.html).

  ### Can I use the satshakit/fabduino/raspberry pi for my final project?
  > Answer:
  1. You have to design your own board(s).
  2. You can use it to program your own input/output devices. Fabricating an unmodified board is considered as electronics production but does not count towards any design skill.
  3. You can only use a Raspberry Pi instead of a laptop. See [Commercial Boards Policy](http://fabacademy.org/2018/docs/FabAcademy-Assessment/commercial_board_policy.html).

  ### My final projects electronics is a tangle of wires but it works. So I guess this is it.
  > Answer:
  1. No. Your final project must show integration of the skills beyond early stage prototyping. That includes arranging the wiring, use of connectors, etc.

  ### How do we present a Group Project?
  > Answer:
  1. Each student will make a specific slide that shows it's a group project (names the project and the other collaborator/s) and details the parts developed by the individual
  2. Each student will make a specific video that will have some shared content, but mainly shows the parts developed by the individual

  ### What does 'original design files' mean?
  > Answer:
  1. That you designed or modified them significantly. They are ones that you made or evolved to change the way they work. If you evolved them into something new, acknowledge where they came from and, point out what you did *to improve them*. Pay attention to the original license that is used, and do not breach it. This may affect the licence you can choose for your final project. Read it all, but pay particular attention to #3, #23, #29, #35 & #37 in [Bruce Mau's Incomplete Manifesto](http://www.manifestoproject.it/bruce-mau/). 
  This is slightly different than files in the 'orginal editable format', check [General Essentials](http://fabacademy.org/2018/docs/FabAcademy-Assessment/general_essentials.html).  


